<?php 

class Disciplinares{

    public $id;
    public $nome;
    public $motivo;
    public $data_processo;
    public $data_prazo;
    public $resposta;

    public function AddDisciplinar(){
        global $database;

        if(isset($_POST['submitDisciplinar'])){

            $this->nome = $_POST['nome'];
            $this->motivo = $_POST['motivo'];
            $this->data_processo = $_POST['data_processo'];
            $this->data_prazo = $_POST['data_prazo'];

            $insert = $database->query("INSERT INTO processos_disciplinares(nome,motivo,data_processo,data_prazo,status)
            VALUES('$this->nome','$this->motivo','$this->data_processo','$this->data_prazo','pendente')");
            
             
            if($insert){
                $_SESSION['status'] = "Cadastrado com sucesso";
                $_SESSION['status_code'] = "success";
                echo "<script>window.open('disciplinares.php','_self')</script>";
                    
                    
                }else{
                $_SESSION['status'] = "Ocorreu um erro";
                $_SESSION['status_code'] = "error";
                echo "<script>window.open('disciplinares.php','_self')</script>";
                }
        }
    }


    public function Answers(){
        global $database;

        if(isset($_POST['submitAnswer'])){

            $this->id = $_POST['id'];
            $this->resposta = $_POST['resposta'];

            $query = $database->query("UPDATE processos_disciplinares SET resposta='$this->resposta' WHERE id='$this->id'");
            if($query){

                $appp = $database->query("UPDATE processos_disciplinares SET status='respondido' WHERE id='$this->id'");
                $_SESSION['status'] = "Respondindo com sucesso";
                $_SESSION['status_code'] = "success";
                echo "<script>window.open('disciplinares.php','_self')</script>";
                    
                    
                }else{
                $_SESSION['status'] = "Ocorreu um erro";
                $_SESSION['status_code'] = "error";
                echo "<script>window.open('disciplinares.php','_self')</script>";
                }
        }
    }

    public function deleteProcesso(){
        global $database;
        if(isset($_GET['delete']) && !empty($_GET['delete'])){
           
            $this->id = $_GET['delete'];
           $sql = $database->query("DELETE FROM processos_disciplinares WHERE id='$this->id'");
           if($sql){
            $_SESSION['status'] = "Eliminado com sucesso";
            $_SESSION['status_code'] = "success";
            echo "<script>window.open('disciplinares.php','_self')</script>";
                
                
            }else{
            $_SESSION['status'] = "Ocorreu um erro";
            $_SESSION['status_code'] = "error";
            echo "<script>window.open('disciplinares.php','_self')</script>";
            }


        }
    }

}

$discipline = new Disciplinares();

?>